Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.apps.rasterizer
Class Main.ColorOptionHandler

    java.lang.Object
      org.apache.batik.apps.rasterizer.Main.AbstractOptionHandler
          org.apache.batik.apps.rasterizer.Main.SingleValueOptionHandler
              org.apache.batik.apps.rasterizer.Main.ColorOptionHandler

All Implemented Interfaces:
  Main.OptionHandler

Enclosing class:
  Main

    public abstract static class Main.ColorOptionHandler

extends Main.SingleValueOptionHandler

Base class for options which expect a `Color` optionValue. Subclasses should implement the `handleOption` method which takes a `Color` and an `SVGConverter` as parameters.

Constructor Summary
`Main.ColorOptionHandler()`

Method Summary
`abstract void` | `handleOption(Color color, SVGConverter c)`
`void` | `handleOption(String optionValue, SVGConverter c)`
`Color` | `parseARGB(String argbVal)` Parse the input value, which should be in the following format: a.r.g.b where a, r, g and b are integer values, in decimal notation, between 0 and 255.

Methods inherited from class org.apache.batik.apps.rasterizer.Main.SingleValueOptionHandler
`getOptionValuesLength, safeHandleOption`

Methods inherited from class org.apache.batik.apps.rasterizer.Main.AbstractOptionHandler
`handleOption`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.batik.apps.rasterizer.Main.OptionHandler
`getOptionDescription`

Constructor Detail

### Main.ColorOptionHandler

    public Main.ColorOptionHandler()

Method Detail

### handleOption

    public void handleOption(String optionValue,
                             SVGConverter c)

  Specified by:
    `handleOption` in class `Main.SingleValueOptionHandler`

### handleOption

    public abstract void handleOption(Color color,
                                      SVGConverter c)

### parseARGB

    public Color parseARGB(String argbVal)

  Parse the input value, which should be in the following format: a.r.g.b where a, r, g and b are integer values, in decimal notation, between 0 and 255.

  Returns:
    the parsed color if successful. null otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.